Subject: Re: WML (perl-based program) segfaults
From: "Gerrit P. Haase" <[email-masked]>
To: Wolfgang Schnerring <[email-masked]>
Cc: [email-masked]
Date: Sat, 14 Feb 2004 17:21:16 +0100

Hallo Wolfgang,

While trying to debug this, I installed the latest cygwin snapshot,
now getting a segfault in KERNEL32.DLL instead of cygperl.dll:

(gdb) run README
Starting program: /opt/wml-2.0.9/wml_backend/p3_eperl/eperl.exe README

Program received signal SIGSEGV, Segmentation fault.
0x77f1b512 in KERNEL32!IsBadWritePtr () from /c/WINNT/system32/KERNEL32.DLL
(gdb) bt
#0  0x77f1b512 in KERNEL32!IsBadWritePtr ()
   from /c/WINNT/system32/KERNEL32.DLL
#1  0x00000014 in ?? ()
#2  0x1010f7d0 in PL_curinterp ()
(gdb) 

I think I need to rebuild cygwin with debugging and also recompile
perl with symbols against the new cygwin1.dll.

Unfortunately I have not much spare time the next weeks.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/